%define name	globus-authz-esgsaml-callout
%define release	3
%define version 0.3

BuildRoot:	%{buildroot}
Name:		%{name}
Release:	%{release}
Version:	%{version}
Summary:	ESGF Authz SAML callout library

Group:		System Environment/Libraries
License:	ASL 2.0
URL:		http://www.globus.org/
Source:		%{name}-%{version}.tgz

BuildRequires: epel-release
BuildRequires: gcc gcc-c++ bison flex rpm-build openssl-devel libuuid-devel xmlsec1-devel postgresql-devel libmhash-devel pam-devel
BuildRequires: globus-gridftp-server-devel globus-gridmap-callout-error-devel

BuildRequires: globus-common-devel globus-gsi-sysconfig-devel globus-gssapi-gsi-devel globus-gss-assist-devel globus-gridmap-callout-error-devel globus-gsi-credential-devel globus-gssapi-error-devel globus-callout-devel globus-gsi-cert-utils-devel globus-gaa globus-adq-devel
BuildRequires: libxml2

Requires:	globus-common >= 14

%description
The Earth System Grid Federation (ESGF) is an international data distribution portal. 

The %{name} package contains:
ESGF Authz SAML callout library

%prep
export PKG_CONFIG_PATH=/usr/lib64/pkgconfig
export LDFLAGS="-lglobus_adq -luuid -lssl"

%setup -q -n %{name}-%{version}

%configure --prefix=$RPM_BUILD_ROOT/usr \
    --libdir=$RPM_BUILD_ROOT/usr/lib64 \
    --sysconfdir=$RPM_BUILD_ROOT/etc/grid-security \
    --includedir=$RPM_BUILD_ROOT/usr/include

make

%install
rm -rf $RPM_BUILD_ROOT
make install
rm -rf $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/lib64/pkgconfig $RPM_BUILD_ROOT/usr/lib64/*a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
/usr/lib64/libglobus_authz_esgsaml_callout.so
/usr/lib64/libglobus_authz_esgsaml_callout.so.0
/usr/lib64/libglobus_authz_esgsaml_callout.so.0.0.3
/usr/share/doc/authz_esgsaml_callout/GLOBUS_LICENSE
%config
/etc/grid-security/authz_callouts_esgsaml.conf
%docdir /usr/share/doc

%changelog
* Sun Dec  8 2019 root <root@alan-builder.novalocal> - 0.3-3
- add dependencies in BuildRequires
- remove the epstopdf-2.9.5gw
- remove compile options pointing to $HOME (globus_adq dependency now installs to system paths)
